Retrieves all counterpart entities available for your company
curl --request GET \
--url https://api.demo.fuelboss.net/v1/counterpart-entities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.demo.fuelboss.net/v1/counterpart-entities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.demo.fuelboss.net/v1/counterpart-entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.demo.fuelboss.net/v1/counterpart-entities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.demo.fuelboss.net/v1/counterpart-entities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.demo.fuelboss.net/v1/counterpart-entities")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.demo.fuelboss.net/v1/counterpart-entities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"counterpartCompanyIdentifier": "<string>",
"name": "<string>",
"reference": "<string>",
"isActive": true,
"email": "<string>",
"phoneNumber": "<string>"
}
]Entity management
Retrieves all counterpart entities available for your company
Retrieves all counterpart entities available for your company
GET
/
v1
/
counterpart-entities
Retrieves all counterpart entities available for your company
curl --request GET \
--url https://api.demo.fuelboss.net/v1/counterpart-entities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.demo.fuelboss.net/v1/counterpart-entities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.demo.fuelboss.net/v1/counterpart-entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.demo.fuelboss.net/v1/counterpart-entities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.demo.fuelboss.net/v1/counterpart-entities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.demo.fuelboss.net/v1/counterpart-entities")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.demo.fuelboss.net/v1/counterpart-entities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"counterpartCompanyIdentifier": "<string>",
"name": "<string>",
"reference": "<string>",
"isActive": true,
"email": "<string>",
"phoneNumber": "<string>"
}
]Authorizations
Access token obtained from the /oauth/token endpoint using your client credentials.
Response
200 - application/json
OK
Identifier of the counterpart company.
Counterpart entity name.
Unique reference for this counterpart entity.
Whether this counterpart entity is currently active.
Contact email address for the counterpart entity.
Contact phone number for the counterpart entity.